## Delete Vectors By Identifier `client.vectorize.indexes.deleteByIds(stringindexName, IndexDeleteByIDsParamsparams, RequestOptionsoptions?): IndexDeleteByIDsResponse | null` **post** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/delete_by_ids` Delete a set of vectors from an index by their vector identifiers. ### Parameters - `indexName: string` - `params: IndexDeleteByIDsParams` - `account_id: string` Path param: Identifier - `ids?: Array` Body param: A list of vector identifiers to delete from the index indicated by the path. ### Returns - `IndexDeleteByIDsResponse` - `mutationId?: string` The unique identifier for the async mutation operation containing the changeset. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.vectorize.indexes.deleteByIds('example-index', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.mutationId); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "mutationId": "0000aaaa-11bb-22cc-33dd-444444eeeeee" }, "success": true } ```